<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <TextView
        android:id="@+id/tv_notice"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:layout_marginTop="20dp"
        android:fontFamily="@font/gmarket_sans_medium"
        android:text="※ 보관하지 않은 받은 메시지는 3일 후, 자동 삭제됩니다."
        android:textSize="12sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <LinearLayout
        android:id="@+id/ll_filter"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_notice">

        <TextView
            android:id="@+id/tv_receive"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_round_corner_16_7_transparent_777777"
            android:fontFamily="@font/gmarket_sans_medium"
            android:paddingHorizontal="25dp"
            android:paddingVertical="10.7dp"
            android:text="받은 메시지"
            android:textColor="@color/color_777777"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/tv_sent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="6.7dp"
            android:background="@drawable/bg_round_corner_16_7_transparent_777777"
            android:fontFamily="@font/gmarket_sans_medium"
            android:paddingHorizontal="25dp"
            android:paddingVertical="10.7dp"
            android:text="보낸 메시지"
            android:textColor="@color/color_777777"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/tv_keep"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_round_corner_16_7_transparent_777777"
            android:fontFamily="@font/gmarket_sans_medium"
            android:paddingHorizontal="25dp"
            android:paddingVertical="10.7dp"
            android:text="보관함"
            android:textColor="@color/color_777777"
            android:textSize="12sp" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_no_items"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="13.3dp"
        android:background="@drawable/bg_round_corner_4_7_13181b"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_filter">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:contentDescription="@null"
            android:src="@drawable/ic_no_item" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/gmarket_sans_medium"
            android:gravity="center"
            android:lineSpacingExtra="4sp"
            android:text="메시지가 없습니다.\n친구들과 소통해보세요!"
            android:textColor="@color/color_bbbbbb"
            android:textSize="10.7sp"
            tools:ignore="SmallSp" />
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_message"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:clipToPadding="false"
        android:padding="13.3dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_filter" />

    <ImageView
        android:id="@+id/iv_write"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="16.7dp"
        android:layout_marginBottom="80dp"
        android:background="@drawable/bg_round_corner_33_3_9970ff"
        android:contentDescription="@null"
        android:padding="13.3dp"
        android:src="@drawable/ic_make_message"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>
